Loading...
Searching...
No Matches
mongocxx::v1::events::topology_description_changed Class Reference

`#include <mongocxx/v1/events/topology_description_changed.hpp>`

## Description

TopologyDescriptionChangedEvent from the SDAM Logging and Monitoring specification.

See also
  - SDAM Logging and Monitoring (MongoDB Specifications)

## Public Member Functions

v1::events::topology_description | new_description () const
| Return the new topology description.
v1::events::topology_description | previous_description () const
| Return the previous topology description.
bsoncxx::v1::oid | topology_id () const
| Return the client-generated unique topology ID.

## Member Function Documentation

## new_description()

v1::events::topology_description mongocxx::v1::events::topology_description_changed::new_description | ( |  | ) | const

Return the new topology description.

## previous_description()

v1::events::topology_description mongocxx::v1::events::topology_description_changed::previous_description | ( |  | ) | const

Return the previous topology description.

## topology_id()

bsoncxx::v1::oid mongocxx::v1::events::topology_description_changed::topology_id | ( |  | ) | const

Return the client-generated unique topology ID.

The documentation for this class was generated from the following file:

- mongocxx/v1/events/topology_description_changed.hpp